/*
 * SHA-1 in C
 * By Steve Reid <steve@edmweb.com>
 * 100% Public Domain
 */

#ifndef _SYS_SHA1_H_
#define	_SYS_SHA1_H_

#define CAML_NAME_SPACE
#include "caml_config.h"

typedef struct {
	uint32 state[5];
	uint32 count[2];  
	unsigned char buffer[64];
} SHA1_CTX;
  
void	SHA1Transform (uint32 state[5], const unsigned char buffer[64]);
void	SHA1Init (SHA1_CTX *context);
void	SHA1Update (SHA1_CTX *context, const unsigned char *data, int len);
void	SHA1Final (unsigned char digest[20], SHA1_CTX *context);
#endif /* _SYS_SHA1_H_ */
